Index: /gli/branches/rtl-gli/CheckJavaVersion.java
===================================================================
--- /gli/branches/rtl-gli/CheckJavaVersion.java	(revision 18350)
+++ /gli/branches/rtl-gli/CheckJavaVersion.java	(revision 18351)
@@ -1,33 +1,100 @@
-public class CheckJavaVersion
-{
-    static public void main(String[] args)
-    {
-	String java_version = System.getProperty("java.version");
-	System.out.println("Java version: " + java_version);
+import java.util.regex.Pattern;
 
-	try {
-	    // Identify major version number
-	    int major_dot_position = java_version.indexOf(".");
-	    String java_version_major_string = java_version.substring(0, major_dot_position);
-	    int java_version_major = (new Integer(java_version_major_string)).intValue();
 
-	    // Identify minor version number
-	    int minor_dot_position = java_version.indexOf(".", major_dot_position + 1);
-	    String java_version_minor_string = java_version.substring(major_dot_position + 1, minor_dot_position);
-	    int java_version_minor = (new Integer(java_version_minor_string)).intValue();
-
-	    // Version of Java must be 1.4 or higher to run the GLI
-	    if (java_version_major > 1 || (java_version_major == 1 && java_version_minor >= 4)) {
-		// Valid
-		System.exit(2);
-	    }
-	    else {
-		// Invalid
-		System.exit(1);
-	    }
+public class CheckJavaVersion {
+	static final String MINIMUM_VERSION_PREFIX = "1.4";
+	
+	/**
+	 * @param args, arg[0] is the minium version of Java required
+	 * to run the program. arg[1] is the name of the program.
+	 * If arg[1] is left out, then no distinct program name is
+	 * mentioned. If arg[0] is left out as well, then Greenstone3's
+	 * minimum default version of 1.4.x is assumed.
+	 * The program exits with 1 if the Java version being used is 
+	 * incompatible and with 2 if it is acceptable.
+	 */
+	public static void main(String[] args) {
+		String minimumVersion = MINIMUM_VERSION_PREFIX;
+		String programName = "this program"; 
+		// the version of java that's in use
+		String runningJavaVersion = System.getProperty("java.version");
+		
+		if(args.length > 0) {
+			minimumVersion = args[0];
+		}
+		if(args.length > 1) {
+			programName = args[1];
+		}
+		
+		System.out.println("\nChecking for a compatible Java version..."
+				+ "\nLooking for minimum version: " + minimumVersion);
+		
+		// Version numbers can be of the form "1.5.0_2" 
+		// We want to split version numbers into the individual numbers
+		// For example: splitting 1.5.0_2 will give us {1,5,0,2},
+		// while splitting 1.5.0_10 will give us {1,5,0,10}.
+		// The comparison then is straightforward.
+		
+		// We will split version strings into the individual numbers
+		// using regular expressions. However, the tokens . and _ are
+		// reserved in regular expressions and need to be escaped: 
+		// Period: \Q.\E;  underscore: \Q_\E.
+		// Once escaped, it should be indicated in the regular expression
+		// that the two characters are separate tokens by using |, so 
+		// that the regex becomes: ".|_" -> \Q.\E|\Q_\E.
+		String period = "\\Q.\\E";
+		String underscore = "\\Q_\\E";
+			 // Can't use Pattern.quote() since it is not there in Java 1.4.*
+		     //String period = Pattern.quote(".");
+		     //String underscore = Pattern.quote("_");
+		
+		String[] minVersionNums = minimumVersion.split(period+"|"+underscore);
+		String[] runningVersionNums =runningJavaVersion.split(period+"|"+underscore);
+		
+		boolean acceptable = true;
+		// only keep looping while we haven't gone past the end of either array
+		int i=0;
+		for(; i < minVersionNums.length && i < runningVersionNums.length; i++)
+		{
+			int min = Integer.parseInt(minVersionNums[i]);
+			int run = Integer.parseInt(runningVersionNums[i]);
+			if(run > min) { 
+			        // certain success: one of the higher positional numbers 
+			        // of the running version is greater than the corresponding
+			        // number of the minimum version, meaning we've finished.
+				break;
+			} else if(run < min) { 
+				// fail: running version number is lower than corresponding 
+				// minimum version number
+				acceptable = false;
+				break;
+			} 
+		}
+		
+		// Consider minVersion = 1.5.0_10 and runningVersion = 1.5.0
+		// this means the runningversion is still insufficient. 
+		// HOWEVER, minVersion being longer does not always mean it is
+		// a later version, consider: min=1.5.0_9.12 and run=1.5.0_10
+		// This should be acceptable since 10 > 9 even though min is longer.
+		// SOLUTION: If the last values for both were the same, the running 
+		// Version is not compatible if the minVersionNums array is longer
+		int min = Integer.parseInt(minVersionNums[i-1]);
+		int run = Integer.parseInt(runningVersionNums[i-1]);
+		
+		// if the last values were the same, check whether min is longer
+		// in which case the running version is not acceptable
+		if(min == run && minVersionNums.length > runningVersionNums.length) 
+		{
+			acceptable = false;
+		}
+		
+		if(acceptable) {
+			System.out.println("Found compatible Java version " +runningJavaVersion);
+			System.exit(2); // acceptable case
+		} else {
+			System.out.println("The current Java version " + 
+				runningJavaVersion + " is insufficient to run " + programName);
+			System.exit(1);
+		} 
 	}
-	catch (Exception exception) {
-	    System.err.println("Exception: " + exception);
-	}
-    }
 }
Index: /gli/branches/rtl-gli/READMEru.txt-cp1251
===================================================================
--- /gli/branches/rtl-gli/READMEru.txt-cp1251	(revision 18350)
+++ /gli/branches/rtl-gli/READMEru.txt-cp1251	(revision 18351)
@@ -42,5 +42,5 @@
 
 Åñëè Âû çàãðóçèëè èñòî÷íèê äèñòðèáóòèâà Greenstone èëè æå ðàñïîëàãàåòå GLI
-îò CVS, òî Âû ðàñïîëàãàåòå èñõîäíîé ïðîãðàììîé Java èíòåðôåéñà áèáëèîòåêè.
+îò SVN, òî Âû ðàñïîëàãàåòå èñõîäíîé ïðîãðàììîé Java èíòåðôåéñà áèáëèîòåêè.
 Êîìïèëÿöèÿ åž òðåáóåò ïîäõîäÿùåé âåðñèè ïðîãðàììíîãî îáåñïå÷åíèÿ Java
 Software Development Kit (âåðñèÿ 1.4.0 èëè áîëåå íîâàÿ). Âû ìîæåòå çàãðóçèòü
Index: /gli/branches/rtl-gli/READMEru.txt-koi8-r
===================================================================
--- /gli/branches/rtl-gli/READMEru.txt-koi8-r	(revision 18350)
+++ /gli/branches/rtl-gli/READMEru.txt-koi8-r	(revision 18351)
@@ -42,5 +42,5 @@
 
 åÓÌÉ ÷Ù ÚÁÇÒÕÚÉÌÉ ÉÓÔÏÞÎÉË ÄÉÓÔÒÉÂÕÔÉ×Á Greenstone ÉÌÉ ÖÅ ÒÁÓÐÏÌÁÇÁÅÔÅ GLI
-ÏÔ CVS, ÔÏ ÷Ù ÒÁÓÐÏÌÁÇÁÅÔÅ ÉÓÈÏÄÎÏÊ ÐÒÏÇÒÁÍÍÏÊ Java ÉÎÔÅÒÆÅÊÓÁ ÂÉÂÌÉÏÔÅËÉ.
+ÏÔ SVN, ÔÏ ÷Ù ÒÁÓÐÏÌÁÇÁÅÔÅ ÉÓÈÏÄÎÏÊ ÐÒÏÇÒÁÍÍÏÊ Java ÉÎÔÅÒÆÅÊÓÁ ÂÉÂÌÉÏÔÅËÉ.
 ëÏÍÐÉÌÑÃÉÑ Å£ ÔÒÅÂÕÅÔ ÐÏÄÈÏÄÑÝÅÊ ×ÅÒÓÉÉ ÐÒÏÇÒÁÍÍÎÏÇÏ ÏÂÅÓÐÅÞÅÎÉÑ Java
 Software Development Kit (×ÅÒÓÉÑ 1.4.0 ÉÌÉ ÂÏÌÅÅ ÎÏ×ÁÑ). ÷Ù ÍÏÖÅÔÅ ÚÁÇÒÕÚÉÔØ
Index: /gli/branches/rtl-gli/chkinst.bat
===================================================================
--- /gli/branches/rtl-gli/chkinst.bat	(revision 18351)
+++ /gli/branches/rtl-gli/chkinst.bat	(revision 18351)
@@ -0,0 +1,32 @@
+::@echo off
+
+set CHECK=1
+
+:: Check that the Greenstone installation looks OK
+if "%GLILANG%" == "en" echo Checking GSDL: %1
+if "%GLILANG%" == "es" echo Revisando GSDL: %1
+if "%GLILANG%" == "fr" echo Vrification de GSDL: %1
+if "%GLILANG%" == "ru" echo à®¢¥àª  GSDL: %1
+
+:: if either of the files exist, we know we can install greenstone
+if exist %1\gs3-setup.bat set CHECK=0
+if exist %1\setup.bat set CHECK=0
+
+if "%CHECK%" == "0" goto endchk
+
+	:: Otherwise, if there was no setup file, then installation fails
+	echo.
+	if "%GLILANG%" == "en" echo The Greenstone %2 installation could not be found, or is incomplete.
+	if "%GLILANG%" == "en" echo Try reinstalling Greenstone %2 then running this script again.
+
+	if "%GLILANG%" == "es" echo No se pudo encontrar la instalaci¢n de Greenstone %2 o est  incompleta.
+	if "%GLILANG%" == "es" echo Trate de reinstalar Greenstone %2 y a continuaci¢n ejecute nuevamente este gui¢n.
+
+	if "%GLILANG%" == "fr" echo L'installation de Greenstone %2 est introuvable ou incomplte. Essayez
+	if "%GLILANG%" == "fr" echo de rinstaller Greenstone %2 et excutez ce script 
+ nouveau.
+
+	if "%GLILANG%" == "ru" echo ­áâ ««ïæšï Greenstone %2 ­¥ ¡ë«  ­ ©€¥­  š«š ®­  ­¥¯®«­ . ®¯à®¡ã©â¥ ¯®¢â®à­®
+	if "%GLILANG%" == "ru" echo ãáâ ­®¢šâì Greenstone %2,   § â¥¬ ¢¢¥áâš íâ®â áªàš¯â á­®¢ .
+
+:endchk
Index: /gli/branches/rtl-gli/clean.bat
===================================================================
--- /gli/branches/rtl-gli/clean.bat	(revision 18350)
+++ /gli/branches/rtl-gli/clean.bat	(revision 18351)
@@ -29,9 +29,15 @@
 if exist "cdm\*.class" del "cdm\*.class"
 if exist "collection\*.class" del "collection\*.class"
+if exist "download\*.class" del "download\*.class"
 if exist "feedback\*.class" del "feedback\*.class"
 if exist "file\*.class" del "file\*.class"
 if exist "gems\*.class" del "gems\*.class"
+if exist "greenstone\*.class" del "greenstone\*.class"
+if exist "greenstone3\*.class" del "greenstone3\*.class"
 if exist "gui\*.class" del "gui\*.class"
+if exist "gui\metaaudit\*.class" del "gui\metaaudit\*.class"
+if exist "gui\tree\*.class" del "gui\tree\*.class"
 if exist "metadata\*.class" del "metadata\*.class"
+if exist "remote\*.class" del "remote\*.class"
 if exist "shell\*.class" del "shell\*.class"
 if exist "util\*.class" del "util\*.class"
Index: /gli/branches/rtl-gli/client-fli.bat
===================================================================
--- /gli/branches/rtl-gli/client-fli.bat	(revision 18351)
+++ /gli/branches/rtl-gli/client-fli.bat	(revision 18351)
@@ -0,0 +1,14 @@
+@echo off
+
+set PROGNAME=Fedora
+set PROGNAME_EN=Fedora Librarian Interface
+set PROGABBR=FLI
+
+:: run GLI in fedora mode
+client-gli.bat -fedora %*
+
+:done
+:: ---- Clean up ----
+set PROGNAME_EN=
+set PROGABBR=
+set PROGNAME=
Index: /gli/branches/rtl-gli/client-fli.sh
===================================================================
--- /gli/branches/rtl-gli/client-fli.sh	(revision 18351)
+++ /gli/branches/rtl-gli/client-fli.sh	(revision 18351)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+PROGNAME="Fedora"
+export PROGNAME
+
+PROGNAME_EN="Fedora Librarian Interface"
+export PROGNAME_EN
+
+PROGABBR="FLI"
+export PROGABBR
+
+# run GLI in fedora mode
+./client-gli.sh -fedora $*
Index: /gli/branches/rtl-gli/client-gli.bat
===================================================================
--- /gli/branches/rtl-gli/client-gli.bat	(revision 18350)
+++ /gli/branches/rtl-gli/client-gli.bat	(revision 18351)
@@ -1,5 +1,20 @@
 @echo off
+pushd "%CD%"
+CD /D "%~dp0"
 set GLILANG=en
 
+if "%PROGNAME" == "" set PROGNAME=Greenstone
+
+if not "%PROGFULLNAME" == "" goto setvars
+if "%GLILANG%" == "es" set PROGFULLNAME="Biblioteca Digital Greenstone"  
+if "%GLILANG%" == "fr" set PROGFULLNAME="Bibliothécaire Greenstone"
+if "%GLILANG%" == "ru" set PROGFULLNAME="ÉÎÔÅÒÆÅÊÓ Greenstone"
+:: if the PROGFULLNAME is still not set, then set the language to English
+if "%PROGFULLNAME%" == "" set PROGNAME=Greenstone Digital Library
+  
+
+:setvars
+if "%PROGABBR%" == "" set PROGABBR=GLI
+if "%PROGNAME_EN%" == "" set PROGNAME_EN=Greenstone Librarian Interface
 
 ::  -------- Run the Greenstone Librarian Interface --------
@@ -23,23 +38,23 @@
 :findGSDL
 echo.
-if "%GLILANG%" == "en" echo Greenstone Librarian Interface (GLI)
-if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "en" echo GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
+if "%GLILANG%" == "en" echo %PROGNAME_EN% (%PROGABBR%)
+if "%GLILANG%" == "en" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "en" echo %PROGABBR% comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
 if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it
 
-if "%GLILANG%" == "es" echo Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "es" echo La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
+if "%GLILANG%" == "es" echo Interfaz de la %PROGFULLNAME% (%PROGNAME_EN% - %PROGABBR%)
+if "%GLILANG%" == "es" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "es" echo La Interfaz de la %PROGFULLNAME% NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÖA.
 if "%GLILANG%" == "es" echo Para mayor informaci¢n vea los trminos de la licencia en LICENSE.txt
 if "%GLILANG%" == "es" echo Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita
 
-if "%GLILANG%" == "fr" echo Interface du Bibliothcaire Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
-if "%GLILANG%" == "fr" echo GLI est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
+if "%GLILANG%" == "fr" echo Interface du %PROGFULLNAME% (%PROGNAME_EN% - %PROGABBR%)
+if "%GLILANG%" == "fr" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "fr" echo %PROGABBR% est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
 if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit 
  le redistribuer
 
-if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (Greenstone Librarian Interface - GLI)
-if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
+if "%GLILANG%" == "ru" echo š¡«š®â¥ç­ë© š­â¥àä¥©á %PROGNAME% (%PROGNAME_EN% - %PROGABBR%)
+if "%GLILANG%" == "ru" echo Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato
 if "%GLILANG%" == "ru" echo  ­¥ € ¥â   ; €¥â «š á¬. ¢ â¥ªáâ¥ LICENSE.TXT
 if "%GLILANG%" == "ru" echo â® - á¢®¡®€­® à á¯à®áâà ­ï¥¬®¥ ¯à®£à ¬¬­®¥ ®¡¥á¯¥ç¥­š¥ š ë ¬®Š¥â¥ à á¯à®áâà ­ïâì ¥£®
@@ -99,17 +114,17 @@
     if "%GLILANG%" == "en" echo Failed to locate an appropriate version of Java. You must install a
     if "%GLILANG%" == "en" echo Java Runtime Environment (version 1.4 or greater) before running the
-    if "%GLILANG%" == "en" echo Greenstone Librarian Interface.
+    if "%GLILANG%" == "en" echo %PROGNAME_EN%.
 
     if "%GLILANG%" == "es" echo No se pudo localizar una versi¢n apropiada de Java. Usted deber 
     if "%GLILANG%" == "es" echo instalar un Ambiente de Ejecuci¢n Java (versi¢n 1.4 o superior)
-    if "%GLILANG%" == "es" echo antes de correr la Interfaz de la Biblioteca Digital Greenstone.
+    if "%GLILANG%" == "es" echo antes de correr la Interfaz de la %PROGFULLNAME%.
 
     if "%GLILANG%" == "fr" echo Une version adquate de Java n'a pas pu tre localise. Vous devez
     if "%GLILANG%" == "fr" echo installer un Java Runtime Environment (version 1.4 ou suprieur)
-    if "%GLILANG%" == "fr" echo avant de dmarrer Greenstone Librarian Interface.
+    if "%GLILANG%" == "fr" echo avant de dmarrer %PROGNAME_EN%.
 
     if "%GLILANG%" == "ru" echo ¥ ã€ «®áì ®¯à¥€¥«šâì ¬¥áâ®­ å®Š€¥­š¥ á®®â¢¥âáâ¢ãîé¥© ¢¥àášš Java.
     if "%GLILANG%" == "ru" echo ë €®«Š­ë ãáâ ­®¢šâì Java Runtime Environment (¢¥àášî 1.4 š«š ¢ëè¥) ¯¥à¥€ ¢¢®€®¬
-    if "%GLILANG%" == "ru" echo ¡š¡«š®â¥ç­®£® š­â¥àä¥©á  Greenstone.
+    if "%GLILANG%" == "ru" echo ¡š¡«š®â¥ç­®£® š­â¥àä¥©á  %PROGNAME%.
     goto exit
 
@@ -120,14 +135,14 @@
 if exist "GLI.jar" goto runGLI
     echo.
-    if "%GLILANG%" == "en" echo You need to compile the Greenstone Librarian Interface (using makegli.bat)
+    if "%GLILANG%" == "en" echo You need to compile the %PROGNAME_EN% (using makegli.bat)
     if "%GLILANG%" == "en" echo before running this script.
 
-    if "%GLILANG%" == "es" echo Usted necesita compilar la Interfaz de la Biblioteca Digital Greenstone
+    if "%GLILANG%" == "es" echo Usted necesita compilar la Interfaz de la %PROGFULLNAME%
     if "%GLILANG%" == "es" echo (por medio de makegli.bat) antes de ejecutar este gui¢n.
 
-    if "%GLILANG%" == "fr" echo Vous devez compiler le Greenstone Interface (en utilisant makegil.bat)
+    if "%GLILANG%" == "fr" echo Vous devez compiler le %PROGNAME% Interface (en utilisant makegil.bat)
     if "%GLILANG%" == "fr" echo avant d'excuter ce script.
 
-    if "%GLILANG%" == "ru" echo ë €®«Š­ë ª®¬¯š«šà®¢ âì ¡š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone (šá¯®«ì§ãï makegli.bat)
+    if "%GLILANG%" == "ru" echo ë €®«Š­ë ª®¬¯š«šà®¢ âì ¡š¡«š®â¥ç­ë© š­â¥àä¥©á %PROGNAME% (šá¯®«ì§ãï makegli.bat)
     if "%GLILANG%" == "ru" echo ¯¥à¥€ ¢¢®€®¬ íâ®£® áªàš¯â 
     goto exit
@@ -139,8 +154,8 @@
 
 
-if "%GLILANG%" == "en" echo Running the Greenstone Librarian Interface...
-if "%GLILANG%" == "es" echo Ejecutando la Interfaz de la Biblioteca Digital Greenstone...
-if "%GLILANG%" == "fr" echo Excution de Greenstone Librarian Interface
-if "%GLILANG%" == "ru" echo ¥ªãéš© ¡š¡«š®â¥ç­ë© š­â¥àä¥©á Greenstone...
+if "%GLILANG%" == "en" echo Running the %PROGNAME_EN%...
+if "%GLILANG%" == "es" echo Ejecutando la Interfaz de la %PROGFULLNAME%...
+if "%GLILANG%" == "fr" echo Excution de %PROGNAME_EN%
+if "%GLILANG%" == "ru" echo ¥ªãéš© ¡š¡«š®â¥ç­ë© š­â¥àä¥©á %PROGNAME%...
 
 :: -Xms32M          To set minimum memory
@@ -166,2 +181,3 @@
 :: ---- Clean up ----
 set JAVAPATH=
+popd
Index: /gli/branches/rtl-gli/client-gli.sh
===================================================================
--- /gli/branches/rtl-gli/client-gli.sh	(revision 18350)
+++ /gli/branches/rtl-gli/client-gli.sh	(revision 18351)
@@ -2,25 +2,49 @@
 glilang=en
 
+if [ "x$PROGNAME" = "x" ] ; then
+    PROGNAME="Greenstone"
+  if [ "$glilang" = "es" ]; then
+    PROGFULLNAME="Biblioteca Digital Greenstone"
+  elif [ "$glilang" = "fr" ]; then
+    PROGFULLNAME="Bibliothécaire Greenstone"
+  elif [ "$glilang" = "ru" ]; then
+    PROGFULLNAME="ÉÎÔÅÒÆÅÊÓ Greenstone"
+  else
+    PROGFULLNAME="Greenstone Digital Library"
+  fi
+  else
+    PROGFULLNAME=$PROGNAME
+fi
+
+if [ "x$PROGABBR" = "x" ] ; then
+    PROGABBR="GLI"
+fi
+
+if [ "x$PROGNAME_EN" = "x" ] ; then
+    PROGNAME_EN="Greenstone Librarian Interface"
+fi
+
+
 echo
 if [ "$glilang" = "es" ]; then
-    echo "Interfaz de la Biblioteca Digital Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
-    echo "La Interfaz de la Biblioteca Digital Greenstone NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
+    echo "Interfaz de la $PROGFULLNAME ($PROGNAME_EN - $PROGABBR)"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
+    echo "La Interfaz de la $PROGNAME NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTÍA."
     echo "Para mayor información vea los términos de la licencia en LICENSE.txt"
     echo "Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita"
 elif [ "$glilang" = "fr" ]; then
-    echo "Interface du Bibliothécaire Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
-    echo "GLI est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
+    echo "Interface du $PROGFULLNAME ($PROGNAME_EN - $PROGABBR)"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
+    echo "$PROGABBR est fourni sans AUCUNE GARANTIE; pour des détails, voir LICENSE.txt"
     echo "Ceci est un logiciel libre, et vous êtes invité à le redistribuer"
 elif [ "$glilang" = "ru" ]; then
-    echo "âÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone (Greenstone Librarian Interface - GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
+    echo "âÉÂÌÉÏÔÅÞÎÙÊ $PROGFULLNAME ($PROGNAME_EN - $PROGABBR)"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
     echo "âéç ÎÅ ÄÁÅÔ áâóïìàôîï îéëáëéè çáòáîôéê; ÄÅÔÁÌÉ ÓÍ. × ÔÅËÓÔÅ LICENSE.TXT"
     echo "üÔÏ - Ó×ÏÂÏÄÎÏ ÒÁÓÐÒÏÓÔÒÁÎÑÅÍÏÅ ÐÒÏÇÒÁÍÍÎÏÅ ÏÂÅÓÐÅÞÅÎÉÅ É ÷Ù ÍÏÖÅÔÅ ÒÁÓÐÒÏÓÔÒÁÎÑÔØ ÅÇÏ"
 else
-    echo "Greenstone Librarian Interface (GLI)"
-    echo "Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato"
-    echo "GLI comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
+    echo "$PROGNAME Librarian Interface ($PROGABBR)"
+    echo "Copyright (C) 2008, New Zealand Digital Library Project, University Of Waikato"
+    echo "$PROGABBR comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt"
     echo "This is free software, and you are welcome to redistribute it"
 fi
@@ -76,17 +100,17 @@
 	echo "No se pudo localizar una versión apropiada de Java. Usted deberá "
 	echo "instalar un Ambiente de Ejecución Java (versión 1.4 o superior) "
-	echo "antes de correr la Interfaz de la Biblioteca Digital Greenstone."
+	echo "antes de correr la Interfaz de la $PROGFULLNAME                    ."
     elif [ "$glilang" = "fr" ]; then
 	echo "Une version adéquate de Java n'a pas pu être localisée."
 	echo "Vous devez installer un Java Runtime Environment (version 1.4 ou"
-	echo "supérieur) avant de démarrer Greenstone Librarian Interface."
+	echo "supérieur) avant de démarrer $PROGNAME Librarian Interface."
     elif [ "$glilang" = "ru" ]; then
 	echo "îÅ ÕÄÁÌÏÓØ ÏÐÒÅÄÅÌÉÔØ ÍÅÓÔÏÎÁÈÏÖÄÅÎÉÅ ÓÏÏÔ×ÅÔÓÔ×ÕÀÝÅÊ ×ÅÒÓÉÉ Java."
 	echo "÷Ù ÄÏÌÖÎÙ ÕÓÔÁÎÏ×ÉÔØ Java Runtime Environment (×ÅÒÓÉÀ 1.4 ÉÌÉ ×ÙÛÅ)"
-	echo "ÐÅÒÅÄ ××ÏÄÏÍ ÂÉÂÌÉÏÔÅÞÎÏÇÏ ÉÎÔÅÒÆÅÊÓÁ Greenstone."
+	echo "ÐÅÒÅÄ ××ÏÄÏÍ ÂÉÂÌÉÏÔÅÞÎÏÇÏ ÉÎÔÅÒÆÅÊÓÁ $PROGNAME."
     else
 	echo "Failed to locate an appropriate version of Java. You must install a"
 	echo "Java Runtime Environment (version 1.4 or greater) before running the"
-	echo "Greenstone Librarian Interface."
+	echo "$PROGNAME Librarian Interface."
     fi
     exit 1
@@ -126,14 +150,14 @@
     echo
     if [ "$glilang" = "es" ]; then
-	echo "Usted necesita compilar la Interfaz de la Biblioteca Digital Greenstone"
+	echo "Usted necesita compilar la Interfaz de la $PROGFULLNAME"
 	echo "(por medio de makegli.sh) antes de ejecutar este guión."
     elif [ "$glilang" = "fr" ]; then
-	echo "Vous devez compiler le Greenstone Interface (en utilisant makegli.sh)"
+	echo "Vous devez compiler le $PROGNAME Interface (en utilisant makegli.sh)"
 	echo "avant d'exécuter ce script."
     elif [ "$glilang" = "ru" ]; then
-	echo "÷Ù ÄÏÌÖÎÙ ËÏÍÐÉÌÉÒÏ×ÁÔØ ÂÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone"
+	echo "÷Ù ÄÏÌÖÎÙ ËÏÍÐÉÌÉÒÏ×ÁÔØ ÂÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ $PROGNAME"
 	echo "(ÉÓÐÏÌØÚÕÑ makegli.sh) ÐÅÒÅÄ ××ÏÄÏÍ ÜÔÏÇÏ ÓËÒÉÐÔÁ"
     else
-	echo "You need to compile the Greenstone Librarian Interface (using makegli.sh)"
+	echo "You need to compile the $PROGNAME Librarian Interface (using makegli.sh)"
 	echo "before running this script."
     fi
@@ -145,11 +169,11 @@
 echo
 if [ "$glilang" = "es" ]; then
-    echo "Ejecutando la Interfaz de la Biblioteca Digital Greenstone..."
+    echo "Ejecutando la Interfaz de la $PROGFULLNAME..."
 elif [ "$glilang" = "fr" ]; then
-    echo "Exécution de Greenstone Librarian Interface"
+    echo "Exécution de $PROGNAME Librarian Interface"
 elif [ "$glilang" = "ru" ]; then
-    echo "ôÅËÕÝÉÊ ÂÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ Greenstone..."
+    echo "ôÅËÕÝÉÊ ÂÉÂÌÉÏÔÅÞÎÙÊ ÉÎÔÅÒÆÅÊÓ $PROGNAME..."
 else
-    echo "Running the Greenstone Librarian Interface..."
+    echo "Running the $PROGNAME Librarian Interface..."
 fi
 
@@ -162,5 +186,6 @@
 # -Xloggc:<file>   Write garbage collection log
 
-$javapath -Xmx128M -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone $*
+# GS2 only requires -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar. GS3 requires more but it doesn't conflict with GS2:
+$javapath -Xmx128M -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar:lib/commons-codec-1.3.jar:lib/commons-httpclient-3.1-rc1.jar:lib/commons-logging-1.1.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone $*
 
 if [ "$glilang" = "es" ]; then
Index: /gli/branches/rtl-gli/fli.bat
===================================================================
--- /gli/branches/rtl-gli/fli.bat	(revision 18351)
+++ /gli/branches/rtl-gli/fli.bat	(revision 18351)
@@ -0,0 +1,53 @@
+@echo off
+
+:: by default, assume English
+set PROGNAME=Fedora Librarian Interface
+if "%GLILANG%" == "es" set PROGNAME=Biblioteca Digital Fedora.
+if "%GLILANG%" == "fr" set PROGNAME=Bibliothécaire Fedora.
+if "%GLILANG%" == "ru" set PROGNAME=ÉÎÔÅÒÆÅÊÓ Fedora.
+:: How to export PROGNAME?
+
+set PROGNAME_EN=Fedora Librarian Interface
+set PROGABBR=FLI
+
+
+echo.
+:: Test to see if FEDORA_HOME environment variable has been set up
+if "%FEDORA_HOME%" == "" goto noFed
+	:: Check if the directory FEDORA_HOME exists
+	:: MAN: Can't use the if command to test directly for a directory, but the null (NUL) device does exist in
+	:: every directory. As a result, you can test for the null device to determine whether a directory exists. 
+	if not exist %FEDORA_HOME%\nul echo Error: Cannot find Fedora home. No such directory: %FEDORA_HOME%
+	if not exist %FEDORA_HOME%\nul goto exit
+		
+:: If FEDORA_VERSION not set, default fedora-version to 3 after warning user.
+if not "%FEDORA_VERSION%" == "" goto runFed
+	echo FEDORA_VERSION (major version of Fedora) was not set. Defaulting to: 3.
+	echo If you are running a different version of Fedora, set the FEDORA_VERSION
+	echo environment variable.
+	set FEDORA_VERSION="3"
+	echo.
+
+
+:runFed
+:: MAN: The %* batch parameter is a wildcard reference to all the arguments, not including %0, 
+:: that are passed to the batch file.
+echo FEDORA_HOME: %FEDORA_HOME%. 
+echo FEDORA_VERSION: %FEDORA_VERSION%
+gli.bat -fedora -fedora_home %FEDORA_HOME% -fedora_version %FEDORA_VERSION% %*
+
+:: Either (or both) of FEDORA_HOME and FEDORA_VERSION were not set, both are crucial
+:noFed
+echo Error: Cannot run %PROGNAME_EN% (%PROGABBR%) if FEDORA_HOME is not set.
+goto exit
+
+
+:exit
+echo.
+pause
+
+:done
+:: ---- Clean up ----
+set PROGNAME_EN=
+set PROGABBR=
+set PROGNAME=
Index: /gli/branches/rtl-gli/fli.sh
===================================================================
--- /gli/branches/rtl-gli/fli.sh	(revision 18351)
+++ /gli/branches/rtl-gli/fli.sh	(revision 18351)
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+if [ "$glilang" = "es" ]; then
+  PROGNAME="Biblioteca Digital Fedora"
+elif [ "$glilang" = "fr" ]; then
+  PROGNAME="Bibliothécaire Fedora"
+elif [ "$glilang" = "ru" ]; then
+  PROGNAME="ÉÎÔÅÒÆÅÊÓ Fedora"
+else
+  PROGNAME="Fedora Librarian Interface"
+fi
+export PROGNAME
+
+PROGNAME_EN="Fedora Librarian Interface"
+export PROGNAME_EN
+
+PROGABBR="FLI"
+export PROGABBR
+
+echo
+# Test to see if FEDORA environment variables have been set up
+if [ "x$FEDORA_HOME" == "x" ]; then
+    echo "Error: Cannot run $PROGNAME_EN (PROGABBR) if FEDORA_HOME is not set."
+    exit
+fi
+
+if [ ! -d "$FEDORA_HOME" ]; then
+    echo "Error: Cannot find Fedora Home. No such directory: $FEDORA_HOME"
+    exit
+fi
+
+# If FEDORA_VERSION not set, default fedora-version to 3 after warning user.  
+if [ "x$FEDORA_VERSION" == "x" ]; then
+    echo "FEDORA_VERSION (major version of Fedora) was not set. Defaulting to: 3."
+    echo "If you are running a different version of Fedora, set the FEDORA_VERSION"
+    echo "environment variable."
+    FEDORA_VERSION="3"
+    export FEDORA_VERSION
+    echo
+fi
+
+# Finally run GLI in fedora mode
+echo "FEDORA_HOME: $FEDORA_HOME"
+echo "FEDORA_VERSION: $FEDORA_VERSION"
+./gli.sh -fedora -fedora_home "$FEDORA_HOME" -fedora_version "$FEDORA_VERSION" $*
